/*

  REXX Script to install DupeFind and create a desktop folder

*/

if RxFuncQuery('SysLoadFuncs') then do
   call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
   call SysLoadFuncs
end

say "Installing..."

dir = directory() || '\'

say "Creating folder"
call SysCreateObject "WPFolder", "DupeFind", "<WP_DESKTOP>", "OBJECTID=<DFFOLDER>;ICONVIEW=ASPLACED,NORMAL;ALWAYSSORT=YES;ICONFONT=10.Helv;BACKGROUND=" || dir || "plaster.bmp,T;ICONFILE=" || dir || "idk.ICO", "replace"
call SysCreateObject "WPFolder", "Information", "<DFFOLDER>", "OBJECTID=<DFINFOFOLDER>;ICONVIEW=ASPLACED,NORMAL;ALWAYSSORT=YES;ICONFONT=8.Helv;BACKGROUND=" || dir || "plaster.bmp,T", "replace"
say "Creating program objects"

call SysCreateObject "WPProgram", "Registration"  || d2c(10) || "Information", "<DFINFOFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "REGISTER.TXT", "replace"
call SysCreateObject "WPProgram", "File_ID.DIZ", "<DFINFOFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "FILE_ID.DIZ", "replace"
call SysCreateObject "WPProgram", "Readme", "<DFINFOFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "README.TXT", "replace"
call SysCreateObject "WPProgram", "Internationalization", "<DFINFOFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "LANGUAGE.TXT", "replace"

call SysCreateObject "WPProgram", "IDK, Inc" || d2c(10) || "Online Users Manual", "<DFFOLDER>", "EXENAME=NETSCAPE.EXE;PARAMETERS=" || "http://www.idk-inc.com/dfindex.htm", "replace"

call SysCreateObject "WPProgram", "DupeFind", "<DFFOLDER>", "EXENAME=" || dir || "DUPEFIND.EXE;STARTUPDIR=" || dir || ";ICONVIEW=FLOWED,NORMAL;ALWAYSSORT=YES;"
say "Installation completed - DupeFind"
